package com.heyu.api.data.dao.api;
/**
* <p>
* 账户表 服务类
* </p>
*
* @author quyixiao
* @since 2025-04-19
*/
import com.heyu.api.data.entity.api.ApiBankCardEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.By;
import com.lz.mybatis.plugin.annotations.LIMIT;
import com.lz.mybatis.plugin.annotations.Plus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ApiBankCardDao extends BaseMapper<ApiBankCardEntity> {


	ApiBankCardEntity selectApiBankCardById(@Param("id")Long id);


	Long insertApiBankCard(ApiBankCardEntity apiBankCard);


	Long insertOrUpdateApiBankCard(ApiBankCardEntity apiBankCard);


	int updateApiBankCardById(ApiBankCardEntity apiBankCard);


	int updateCoverApiBankCardById(ApiBankCardEntity apiBankCard);


	int deleteApiBankCardById(@Param("id")Long id);

	@LIMIT
	ApiBankCardEntity selectApiBankCardByBankCardRealName(String bankCard, String realName, String channel, Integer enableStatus);

	@LIMIT
	ApiBankCardEntity selectApiBankCardByBankCardIdCardNumberRealName(String bankCard,String idCardNumber, String realName, String channel, Integer enableStatus);

	@LIMIT
	ApiBankCardEntity selectApiBankCardByBankCardIdCardNumberRealNameMobile(String bankCard,String idCardNumber, String realName,String mobile, String channel, Integer enableStatus);

	int updateCoverApiBankCardUseCountById(@Plus Long useCount, @By Long id);
}